
QGIS Application - Feature request #2107

Classify vector features shouldn't default to gid on postgis features

2009-11-16 07:33 PM - Brian Edmond

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Pull Request or Patch supplied: Resolution: wontfix

Easy fix?: No Copied to github as #: 12167

Description

To reproduce, add any postgis layer, open layer properties, click on symbology, select "Unique Value" as the legend type.  The default

classification field is the gid which isn't a reasonable choice.  I accidentally clicked the classify button without thinking on a very large

postgis layer and it almost brought my machine down.

History

#1 - 2009-11-19 03:59 PM - Jürgen Fischer

- Resolution set to wontfix

- Status changed from Open to Closed

it's just starting with the first field.  What would be the alternative?

#2 - 2009-11-19 06:14 PM - Brian Edmond

Replying to [comment:2 jef]:

it's just starting with the first field.  What would be the alternative?

Well, you could calculate the number of features that will be classified and warn that it will take a long time if there are more than x number of features.  I'm

not sure what the threshold would be, but it would stop the application (and maybe someone's computer) from freezing up.
